// !!! DEPRECATED !!!

unit CtrlPanelD1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DevCtrl, StdCtrls, DatCtrl, Buttons;

type
  TCtrlPanelD1Form = class(TForm)
    Panel1: TPanel;
    Timer: TTimer;
    DatCtrlFrame: TDatCtrlFrame;
    procedure FormActivate(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
  public
    TagName: string;
    TagPath: string;
    DatName: string;
    Flashing: boolean;
  end;

var
  CtrlPanelD1Form: TCtrlPanelD1Form;

implementation
uses TagStorage;

{$R *.DFM}
procedure TCtrlPanelD1Form.FormActivate(Sender: TObject);
begin
  DatCtrlFrame.TagName := TagName;
  DatCtrlFrame.TagPath := TagPath;
  DatCtrlFrame.DatName := DatName;
  DatCtrlFrame.DatFullName := DatName;
  DatCtrlFrame.Flashing := Flashing;
  DatCtrlFrame.Init;

  Timer.Enabled := true;
end;

procedure TCtrlPanelD1Form.TimerTimer(Sender: TObject);
begin
  DatCtrlFrame.Process;
end;

procedure TCtrlPanelD1Form.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Timer.Enabled := false;
end;


end.
